Skip to main content
`Ctrl`+`K`

# PCFactorSetDropTolerance

The preconditioner will use an `PCILU` based on a drop tolerance.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetDropTolerance(PC pc, PetscReal dt, PetscReal dtcol, PetscInt maxrowcount)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- dt - the drop tolerance, try from 1.e-10 to .1

- dtcol - tolerance for column pivot, good values [0.1 to 0.01]

- maxrowcount - the max number of nonzeros allowed in a row, best value depends on the number of nonzeros in row of original matrix

## Options Database Key

- -pc_factor_drop_tolerance dt,dtcol,maxrowcount - Sets drop tolerance

## Note

There are NO default values for the 3 parameters, you must set them with reasonable values for your matrix. We don’t know how to compute reasonable values.

## See Also

KSP: Linear System Solvers, `PCILU`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorSetDropTolerance_Factor() in src/ksp/pc/impls/factor/factimpl.c
PCFactorSetDropTolerance_ILU() in src/ksp/pc/impls/factor/ilu/ilu.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages